---
title: "Updates specific Receipt Variance Reason by id"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/put-receiptvariancereasons-id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Updates specific Receipt Variance Reason by id

`PUT` `/receiptvariancereasons/{id}`

Operation ID: `put-receiptvariancereasons-id`

Sample request: PUT /receiptvariancereasons/1 { "name": "new name", "enabled": false }

## Path parameters

- `id` (integer, int32, required) - Receipt Variance Reason id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Request body

Content types: `application/json`

## Responses

- `200` - Receipt Variance Reason was updated
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not Found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /receiptvariancereasons/{id}:
    put:
      tags:
        - receiptvariancereasons
      summary: Updates specific Receipt Variance Reason by id
      description: "Sample request:\r

        \r

        \    PUT /receiptvariancereasons/1\r

        \    {\r

        \        \"name\": \"new name\",\r

        \        \"enabled\": false\r

        \    }"
      operationId: put-receiptvariancereasons-id
      parameters:
        - name: id
          in: path
          description: Receipt Variance Reason id
          required: true
          schema:
            type: integer
            description: Receipt Variance Reason id
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      requestBody:
        description: Receipt Variance Reason model
        content:
          application/json:
            schema:
              title: EmptyExample
              type: object
              additionalProperties: false
      responses:
        "200":
          description: Receipt Variance Reason was updated
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ReceiptVarianceReason"
              example:
                id: 0
                name: string
                enabled: true
                created_on: string
                created_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
                modified_on: string
                modified_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    ReceiptVarianceReason:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Receipt Variance Reason Id.
          format: int32
        name:
          maxLength: 100
          minLength: 0
          type: string
          description: Receipt Variance Reason name
          nullable: true
        enabled:
          type: boolean
          description: Is Receipt Variance Reason Enabled
          default: true
        created_on:
          type: string
          description: Created on
          format: date-time
          nullable: true
        created_by:
          $ref: "#/components/schemas/UserExtended"
        modified_on:
          type: string
          description: Modified on
          format: date-time
          nullable: true
        modified_by:
          $ref: "#/components/schemas/UserExtended"
      additionalProperties: false
      description: Receipt Variance Reason Model
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    UserExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
          nullable: true
        user_code:
          type: string
          description: User code.
          nullable: true
        first_name:
          type: string
          description: First name.
          nullable: true
        surname:
          type: string
          description: Surname.
          nullable: true
      additionalProperties: false
```
